summaryrefslogtreecommitdiff
path: root/x11-wm
diff options
context:
space:
mode:
authorcharIes17 <charles17@arcor.de>2017-07-10 19:43:39 +0200
committerLars Wendler <polynomial-c@gentoo.org>2017-07-20 15:26:30 +0200
commit28a00ab083cbfd286ad4cbf16e071485e79de927 (patch)
tree4a16eee18397b3d73e39f43a343f443b4773de3d /x11-wm
parentx11-wm/lumina: Remove old (diff)
downloadgentoo-28a00ab083cbfd286ad4cbf16e071485e79de927.tar.gz
gentoo-28a00ab083cbfd286ad4cbf16e071485e79de927.tar.bz2
gentoo-28a00ab083cbfd286ad4cbf16e071485e79de927.zip
x11-wm/lumina: Update live ebuild
This should help solving https://bugs.gentoo.org/624484 Package-Manager: Portage-2.3.6, Repoman-2.3.1 Closes: https://github.com/gentoo/gentoo/pull/5002
Diffstat (limited to 'x11-wm')
-rw-r--r--x11-wm/lumina/lumina-9999.ebuild43
1 files changed, 31 insertions, 12 deletions
diff --git a/x11-wm/lumina/lumina-9999.ebuild b/x11-wm/lumina/lumina-9999.ebuild
index ea15f6605ad..5583db780a4 100644
--- a/x11-wm/lumina/lumina-9999.ebuild
+++ b/x11-wm/lumina/lumina-9999.ebuild
@@ -1,17 +1,17 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit git-r3 qmake-utils
-
DESCRIPTION="Lumina desktop environment"
-HOMEPAGE="http://lumina-desktop.org/"
+HOMEPAGE="https://lumina-desktop.org/"
EGIT_REPO_URI="https://github.com/pcbsd/lumina"
LICENSE="BSD"
SLOT="0"
KEYWORDS=""
+IUSE="desktop-utils"
COMMON_DEPEND="dev-qt/qtcore:5
dev-qt/qtconcurrent:5
@@ -20,6 +20,8 @@ COMMON_DEPEND="dev-qt/qtcore:5
dev-qt/qtnetwork:5
dev-qt/qtwidgets:5
dev-qt/qtx11extras:5
+ dev-qt/qtgui:5
+ dev-qt/qtdeclarative:5
x11-libs/libxcb:0
x11-libs/xcb-util
x11-libs/xcb-util-image
@@ -29,24 +31,41 @@ DEPEND="$COMMON_DEPEND
dev-qt/linguist-tools:5"
RDEPEND="$COMMON_DEPEND
- kde-frameworks/oxygen-icons
+ || ( virtual/freedesktop-icon-theme
+ x11-themes/hicolor-icon-theme )
+ sys-fs/inotify-tools
x11-misc/numlockx
x11-wm/fluxbox
- x11-apps/xbacklight
+ || ( x11-apps/xbacklight
+ sys-power/acpilight )
media-sound/alsa-utils
sys-power/acpi
app-admin/sysstat"
+S="${WORKDIR}/${P/_/-}"
+
+PATCHES=(
+ "${FILESDIR}/1.2.0-desktop-files.patch"
+ "${FILESDIR}/1.3.0-OS-detect.patch"
+)
+
+src_prepare(){
+ default
+
+ if use !desktop-utils ; then
+ rm -rf src-qt5/desktop-utils || die
+ sed -e "/desktop-utils/d" -i src-qt5/src-qt5.pro || die
+ fi
+}
+
src_configure(){
- eqmake5 PREFIX="${ROOT}usr" L_BINDIR="${ROOT}usr/bin" \
- L_ETCDIR="${ROOT}etc" L_LIBDIR="${ROOT}usr/$(get_libdir)" \
- LIBPREFIX="${ROOT}usr/$(get_libdir)" DESTDIR="${D}" CONFIG+="NO_I18N"
+ eqmake5 PREFIX="${EPREFIX}/usr" L_BINDIR="${EPREFIX}/usr/bin" \
+ L_ETCDIR="${EPREFIX}/etc" L_LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+ LIBPREFIX="${EPREFIX}/usr/$(get_libdir)" DESTDIR="${D}" CONFIG+=WITH_I18N QMAKE_CFLAGS_ISYSTEM=
}
src_install(){
- # note: desktop files have known validation errors. see:
- # https://github.com/pcbsd/lumina/pull/183
default
- mv "${D}"/etc/luminaDesktop.conf.dist "${D}"/etc/luminaDesktop.conf || die
- mv "${D}"/?umina-* "${D}"/usr/bin || die
+ mv "${ED%/}"/etc/luminaDesktop.conf{.dist,} || die
+ rm "${ED%/}"/${PN}-* "${ED%/}"/start-${PN}-desktop || die
}